using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace spring16_sem2_win06
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            try
            {
                updatelistbox();
            }
            catch
            {
            }
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            if (textBox1.Text.Length == 4)
            {
                StreamReader sr = new StreamReader("winpostby.txt");
                string str;
                while ((str = sr.ReadLine()) != null)
                {
                    //MessageBox.Show(str);
                    string[] s = str.Split(';');
                    if (textBox1.Text == s[0])
                    {
                        textBox2.Text = s[1];
                        break;
                    }
                }
                sr.Close();
            }
        }

        private void updatelistbox ()
        {
            listBox1.Items.Clear();
            StreamReader sr = new StreamReader("data.dat");
            string str;
            while ((str = sr.ReadLine()) != null)
            {
                string[] s = str.Split(';');
                listBox1.Items.Add(s[0]);
            }
            sr.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //insert
            if (textBox3.Text != "")
            {
                StreamWriter sw = new StreamWriter("data.dat", true);
                sw.Write(textBox3.Text + ";"); // name
                sw.Write(textBox4.Text + ";"); // addr
                sw.Write(textBox1.Text + ";"); // zip
                sw.Write(textBox5.Text + ";"); // phone
                sw.WriteLine(textBox6.Text);   // e-mail
                sw.Close();
                updatelistbox();
                textBox1.Text = "";
                textBox2.Text = "";
                textBox3.Text = "";
                textBox4.Text = "";
                textBox5.Text = "";
                textBox6.Text = "";

            }
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {   //select a person from the listbox 
            int index = 0;
            StreamReader sr = new StreamReader("data.dat");
            string str;
            while ((str = sr.ReadLine()) != null)
            {
                string[] s = str.Split(';');
                textBox3.Text = s[0];
                textBox4.Text = s[1];
                textBox1.Text = s[2];
                textBox5.Text = s[3];
                textBox6.Text = s[4];
                if (index++ == listBox1.SelectedIndex)
                    break;
            }
            sr.Close();
 
        }

        private void cleartb()
        {   // clear textboxes
            textBox1.Text = "";
            textBox2.Text = "";
            textBox3.Text = "";
            textBox4.Text = "";
            textBox5.Text = "";
            textBox6.Text = "";
 
        }
        private void button2_Click(object sender, EventArgs e)
        {
            //clear
            cleartb();
        }

        private void button3_Click(object sender, EventArgs e)
        {   //update 
            StreamWriter sw = new StreamWriter("temp.dat");
            StreamReader sr = new StreamReader("data.dat");
            int index=0;
            string str;
            while ((str = sr.ReadLine()) != null)
            {
                if (index == listBox1.SelectedIndex)
                {
                    sw.Write(textBox3.Text + ";"); // name
                    sw.Write(textBox4.Text + ";"); // addr
                    sw.Write(textBox1.Text + ";"); // zip
                    sw.Write(textBox5.Text + ";"); // phone
                    sw.WriteLine(textBox6.Text);   // e-mail
                }
                else
                {
                    sw.WriteLine(str);
                }
                index++;
            }
            sw.Close();
            sr.Close();
            cleartb();
            File.Delete("data.dat");
            File.Move("temp.dat", "data.dat");
            updatelistbox();
        }

        private void button4_Click(object sender, EventArgs e)
        {   //delete
            StreamWriter sw = new StreamWriter("temp.dat");
            StreamReader sr = new StreamReader("data.dat");
            int index = 0;
            string str;
            while ((str = sr.ReadLine()) != null)
            {
                if (index == listBox1.SelectedIndex)
                {
                }
                else
                {
                    sw.WriteLine(str);
                }
                index++;
            }
            sw.Close();
            sr.Close();
            cleartb();
            File.Delete("data.dat");
            File.Move("temp.dat", "data.dat");
            updatelistbox();

        }
    }
}